/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#ifndef ___M_INCLUDE_H___
#define ___M_INCLUDE_H___

#include	<linux/stat.h>

#define OPEN_MAX         256    /* # open files a process may have */
#define SA_INTERRUPT    0x20000000 /* dummy -- ignored */


#define S_IFMT	__S_IFMT
#define S_IFREG	__S_IFREG
#define S_IFDIR	__S_IFDIR

#define _open64	open
#define _lseek64	lseek

#define ftruncate64	ftruncate

/*
int fsync(int);
*/
pid_t getpgid(pid_t pid);
/*
int vsnprintf(char *str, size_t size, const char *format, va_list ap);
int snprintf(char *str, size_t size, const char * format, ...);
char *realpath(const char *path, char resolved_path[]);
double rint(double x);
float rintf(float x);
long double rintl(long double x);
double hypot(double x, double y);
int truncate(const char *path, off_t length);
int ftruncate(int fd, off_t length);
char *strndup(const char *s, size_t n);
char *strdupa(const char *s);
char *strndupa(const char *s, size_t n);
char *strdup(const char *s);
*/

#endif




